org.apache.hadoop.mapreduce.lib.map

## Class WrappedMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
  - - org.apache.hadoop.mapreduce.lib.map.WrappedMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class WrappedMapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>
      extends Mapper<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

  A `Mapper` which wraps a given one to allow custom `Mapper.Context` implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapreduce.Mapper.Context` | `getMapContext(MapContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT> mapContext)` Get a wrapped `Mapper.Context` for custom implementations.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, map, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedMapper

          public WrappedMapper()

  - ### Method Detail

    - #### getMapContext

          public org.apache.hadoop.mapreduce.Mapper.Context getMapContext(MapContext<KEYIN,VALUEIN,KEYOUT,VALUEOUT> mapContext)

      Get a wrapped `Mapper.Context` for custom implementations.
      Parameters:
        `mapContext` - `MapContext` to be wrapped
      Returns:
        a wrapped `Mapper.Context` for custom implementations

Copyright © 2022 Apache Software Foundation. All rights reserved.